apiVersion: v1
kind: ConfigMap
metadata:
  name: cloudwatch-exporter-configmap
data:
  exporter.yml: |
    ---
      region: us-east-1
      metrics:
        - aws_namespace: AWS/Lambda
          aws_metric_name: Invocations
        - aws_namespace: AWS/Lambda
          aws_metric_name: Errors
---
apiVersion: v1
kind: Pod
metadata:
  name: cloudwatch-exporter-pod
  labels:
    app: cloudwatch-exporter
spec:
  containers:
    - name: cloudwatch-exporter
      image: prom/cloudwatch-exporter:cloudwatch_exporter-0.7.0
      args: ["/etc/config/exporter.yml"]
      ports:
        - containerPort: 9106
      volumeMounts:
        - name: cloudwatch-exporter-configmap-volume
          mountPath: /etc/config
      env:
        - name: AWS_ACCESS_KEY_ID
          valueFrom:
            configMapKeyRef:
              name: aws-credentials
              key: aws.id
        - name: AWS_SECRET_ACCESS_KEY
          valueFrom:
            configMapKeyRef:
              name: aws-credentials
              key: aws.key
  volumes:
    - name: cloudwatch-exporter-configmap-volume
      configMap:
        name: cloudwatch-exporter-configmap
        items:
          - key: exporter.yml
            path: exporter.yml
